import { defineComponent as n, defineAsyncComponent as o, createElementBlock as s, openBlock as a, renderSlot as t, createElementVNode as r, toDisplayString as c, createVNode as i, unref as p } from "vue";
const m = { class: "d-flex align-center" }, v = /* @__PURE__ */ n({
  __name: "ActivableTitle",
  props: {
    title: {},
    active: { type: Boolean }
  },
  setup(u) {
    const l = o(
      () => import("./IsActiveStatusCell-xz7XnAYP.js")
    );
    return (e, d) => (a(), s("div", m, [
      t(e.$slots, "title", {}, () => [
        r("span", null, c(e.title), 1)
      ]),
      t(e.$slots, "default", {}, () => [
        i(p(l), {
          "cell-value": e.active,
          class: "ml-2 pr-2"
        }, null, 8, ["cell-value"])
      ])
    ]));
  }
});
export {
  v as _
};
